# Draw
TKDraw
DrawTrSurf

# DrawTrSurf_BezierCurve Class Reference

`#include <DrawTrSurf_BezierCurve.hxx>`

Inheritance diagram for DrawTrSurf_BezierCurve:

[legend]

## Public Member Functions

Standard_EXPORT | DrawTrSurf_BezierCurve (const Handle(Geom_BezierCurve)&C)
| creates a drawable Bezier curve from a Bezier curve of package Geom.
Standard_EXPORT | DrawTrSurf_BezierCurve (const Handle(Geom_BezierCurve)&C, const Draw_Color &CurvColor, const Draw_Color &PolesColor, const Standard_Boolean ShowPoles, const Standard_Integer Discret, const Standard_Real Deflection, const Standard_Integer DrawMode)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method.
Standard_EXPORT void | ShowPoles ()
Standard_EXPORT void | ClearPoles ()
Standard_EXPORT void | FindPole (const Standard_Real X, const Standard_Real Y, const Draw_Display &D, const Standard_Real Prec, Standard_Integer &Index) const
| Returns in <index> the index of the first pole of the curve projected by the Display <d> at a distance lower than <prec> from <X,Y>. If no pole is found index is set to 0, else index is always greater than the input value of index. .
void | SetPolesColor (const Draw_Color &aColor)
Draw_Color | PolesColor () const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | drawPoles
Draw_Color | polesLook

## Constructor & Destructor Documentation

Standard_EXPORT DrawTrSurf_BezierCurve::DrawTrSurf_BezierCurve | ( | const Handle(Geom_BezierCurve)& | C | ) |

Standard_EXPORT DrawTrSurf_BezierCurve::DrawTrSurf_BezierCurve | ( | const Handle(Geom_BezierCurve)& | C,
|  | const Draw_Color & | CurvColor,
|  | const Draw_Color & | PolesColor,
|  | const Standard_Boolean | ShowPoles,
|  | const Standard_Integer | Discret,
|  | const Standard_Real | Deflection,
|  | const Standard_Integer | DrawMode
| ) |

## Member Function Documentation

Standard_EXPORT void DrawTrSurf_BezierCurve::ClearPoles | ( |  | ) |

virtual Standard_EXPORT Handle_Draw_Drawable3D DrawTrSurf_BezierCurve::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from DrawTrSurf_Curve.

Standard_EXPORT void DrawTrSurf_BezierCurve::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Reimplemented from DrawTrSurf_Curve.

Standard_EXPORT void DrawTrSurf_BezierCurve::FindPole | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Draw_Display & | D,
|  | const Standard_Real | Prec,
|  | Standard_Integer & | Index
| ) | const

Standard_EXPORT const DrawTrSurf_BezierCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawTrSurf_Curve.

Draw_Color DrawTrSurf_BezierCurve::PolesColor | ( |  | ) | const`[inline]`

void DrawTrSurf_BezierCurve::SetPolesColor | ( | const Draw_Color & | aColor | ) | `[inline]`

Standard_EXPORT void DrawTrSurf_BezierCurve::ShowPoles | ( |  | ) |

## Field Documentation

Standard_Boolean DrawTrSurf_BezierCurve::drawPoles `[private]`

Draw_Color DrawTrSurf_BezierCurve::polesLook `[private]`

The documentation for this class was generated from the following files:

- DrawTrSurf_BezierCurve.hxx
- DrawTrSurf_BezierCurve.lxx